[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# BsrWord

Return the position of the leftmost set bit in a 16-bit value

## Declaration

Source position: systemh.inc line 795

`function BsrWord(`
`const AValue: Word`
`):Cardinal;`

## Description

BsrWord scans the word AValue, starting at the leftmost position and working towards position 0, and returns the index of the first set bit. The position is measured from the 0-th, rightmost bit.

## See also

BsrByte |  | Return the position of the leftmost set bit in an 8-bit value
BsfWord |  | Return the position of the rightmost set bit in a 16-bit value
BsrDWord |  | Return the position of the leftmost set bit in a 32-bit value
BsrQWord |  | Return the position of the leftmost set bit in a 64-bit value

Documentation generated on: Feb 26 2014